var модуль = gitjs.мир.модули.модульПоУказателю(УКАЗАТЕЛЬ_ЭТОГО_МОДУЛЯ);


// MARK: /📦


модуль.содержимое["/📦"] = `

# Список указателей на модули для загрузки во время пуска
# 启动时要加载的模块指针列表
# List of module pointers to load at startup

https://bitbucket.org/gitjs/jquery/raw/3.5.1/0000
https://bitbucket.org/gitjs/uikit/raw/3.2.0/0000
https://git.opengamestudio.org/mahjong/mahjong-raskladka-layout/raw/branch/master/0000
https://git.opengamestudio.org/mahjong/povtorniy-repeating-ui/raw/branch/master/0000
https://git.opengamestudio.org/PuCOBATEJlb/PuCOBATEJlb/raw/branch/master/0000
https://git.opengamestudio.org/PuCOBATEJlb/PECYPCbl/raw/branch/master/0000

https://git.opengamestudio.org/MAOH/MEXMA/raw/branch/master/0000
https://git.opengamestudio.org/MAOH/CEHMA/raw/branch/master/0000
https://git.opengamestudio.org/MAOH/MOPMA/raw/branch/master/0000
https://git.opengamestudio.org/MAOH/PEEMA/raw/branch/master/0000
https://git.opengamestudio.org/MAOH/OTMA/raw/branch/master/0000
https://git.opengamestudio.org/MAOH/CYMA/raw/branch/master/0000

https://git.opengamestudio.org/MAOH/TEMA_M1K/raw/branch/master/0000
https://git.opengamestudio.org/MAOH/PACK_M1/raw/branch/master/0000

# Убрать после отладки
https://git.opengamestudio.org/MAOH/TEMA_OT/raw/branch/master/0000
https://git.opengamestudio.org/MAOH/PACK_OT/raw/branch/master/0000

`;


// MARK: /🙈.html


модуль.содержимое["/🙈.html"] = `

<center>
    <p>Маджонг ⚬ 麻将 ⚬ Mahjong</p>
    <h1>🀄 МАОН</h1>
    <p>${версия}</p>
</center>

`;


// MARK: /🙈.css


модуль.содержимое["/🙈.css"] = `

.фон-экрана
{
    background-color: white;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

`;


// MARK: /🎬.js


ЗадатьЗаголовок = мир =>
{
    document.title = "🀄 МАОН";
};


// // // //


ОтобразитьСтраницуЗагрузки = мир =>
{
    var м = мир.модули.модульПоУказателю(УКАЗАТЕЛЬ_ЭТОГО_МОДУЛЯ);
    
    var вид = document.createElement("style");
    document.head.appendChild(вид);
    вид.innerHTML = м.содержимое["/🙈.css"];
    
    var структура = м.содержимое["/🙈.html"]
            .replace(/\${версия}/g, м.версия);
    // Вставляем содержимое в рамку, чтобы применяемые стили UIkit не
    // дёргали надписи.
    // https://stackoverflow.com/a/8322025
    var рамка = "<iframe id='экран-загрузки' class='фон-экрана' frameBorder='0'></iframe>";
    document.body.insertAdjacentHTML("afterbegin", рамка);
    document.getElementById("экран-загрузки").src = "data:text/html;charset=utf-8," + структура;   
};


// MARK: /🎬.череда


gitjs.мир.разобрать(`

пуск
    задать заголовок
    отобразить страницу загрузки

`);


// MARK: /📦.js


ОкончитьЗагрузкуПриложения = мир =>
{
    мир.уведомить("надо окончить загрузку приложения");
};


// // // //


ЗагрузитьБиблиотекиПриложения = мир =>
{
    var указатели = [];
    var м = мир.модули.модульПоУказателю(УКАЗАТЕЛЬ_ЭТОГО_МОДУЛЯ);
    var содержимое = м.содержимое["/📦"];
    var строки = содержимое.split(/\n/);
    for (var номер in строки)
    {
        var строка = строки[номер];
        if (!строка.startsWith("#") && строка.length)
        {
            указатели.push(строка);
        }
    }
    
    if (указатели.length)
    {
        var сообщение = "Загрузка библиотек ⚬ 加载库 ⚬ Loading libraries";
        console.debug(сообщение, указатели);
        мир.модули.использовали.подписатьРаз(function() {
            мир.уведомить("ручной пуск");
            мир.уведомить("загрузили библиотеки приложения");
        });
        мир.модули.использовать(указатели);
    }
    else
    {
        мир.уведомить("загрузили библиотеки приложения");
    }
};


// // // //


ПроверитьНаличиеОбновленийПриложения = мир =>
{
    // Эта функция находится вне "/🔄.js", т.к. "/🔄.js" отключаем,
    // отчего этой функции просто не будет в пространстве имён.
    var событие = "надо обновить приложение при наличии обновлений";
    if (событие in мир.события)
    {
        мир.уведомить(событие);
    }
    else
    {
        мир.уведомить("обновления приложения отсутствуют");
    }
};


// MARK: /📦.череда


gitjs.мир.разобрать(`

пуск
    проверить наличие обновлений приложения
обновления приложения отсутствуют
    загрузить библиотеки приложения
загрузили библиотеки приложения
    окончить загрузку приложения

`);

